Subject: Re: bug#62052: _N_GNU_nonoption_argv_flags_ is no longer supported

From: Jim Meyering <[email-masked]>
Date: Thu, 9 Mar 2023 06:39:47 -0800

On Wed, Mar 8, 2023 at 7:39 AM Emanuele Torre <[email-masked]> wrote:
> I have noticed the _N_GNU_nonoption_argv_flags_ (where N is the pid of
> grep) environment variable mentioned in the documentation. I tried to
> play with it, but it does not seem to work:
>
>  bash-5.1$ (declare -x _"$BASHPID"_GNU_nonoption_argv_flags_=1111111
>  > exec grep -e)
>  grep: option requires an argument -- 'e'
>  Usage: grep [OPTION]... PATTERNS [FILE]...
>  Try 'grep --help' for more information.
>
> I have checked gnulib's changelog and it looks like support for it has
> been removed in 2017, and before that it has not been enabled by default
> since 2001. (and, as far as I can tell, GNU grep never explicitly
> enabled it.)
>
> Furthermore, this environment variable used to be set this environment
> variable automatically by bash up to version 2.0, but since version 2.01
> (released in 1997) bash has stopped using it.
>
> I think, at this point, it would be best to not mention that environment
> variable in the documentation; it has not been used or even supported
> for a long time so it is just confusing.

Thank you for noticing and reporting that.
Done with the attached.